<template>
  <div class="flex flex-row">
    <info-cell>{{ mason.id }}</info-cell>
    <info-cell>{{ mason.name }}</info-cell>
    <info-cell>{{ mason.rank }}</info-cell>
    <info-cell>{{ mason.profession }}</info-cell>
    <info-cell>{{ mason.acceptance_date }}</info-cell>
    <info-cell>{{ mason.lodge_id }}</info-cell>
    <div class="flex items-center">
      <view-button @click="() => $emit('on_view')" title="View events of this mason" v-if="view"/>
      <!-- <router-link :to="{ name: 'EditMason', params: { id: mason.id } }"> -->
      <edit-button @click="() => $emit('on_edit')" title="Edit mason info" v-if="edit"/>
      <!-- </router-link> -->
      <remove-button @click="() => $emit('on_remove')"  title="Remove mason" />
    </div>
  </div>
</template>

<script>
import InfoCell from '@/components/InfoCell.vue';
import EditButton from '@/components/EditButton.vue';
import ViewButton from '@/components/ViewButton.vue';
import RemoveButton from '@/components/RemoveButton.vue';
import { mapGetters } from 'vuex';

export default {
  props: ['id', 'view', 'edit'],
  emits: ['on_edit', 'on_view', 'on_remove'],
  components: {
    InfoCell,
    EditButton,
    ViewButton,
    RemoveButton,
  },
  computed: {
    mason() {
      return this.masonById(this.id)
    },
    ...mapGetters({
      masonById: "getMason"
    })
  }
}
</script>